Skip to main content

Retrieve a collection of expense categories

GET 

/api/expense_categories

This API endpoint is designed to retrieve a collection of expense categories, providing a valuable tool for accessing recent expense category data for an account within your system.

Prerequisites:

To use this endpoint you need to have the ACCOUNTING scope for the API Key. Please contact your relation manager to get this permission.

Request

Query Parameters

    page integer

    Default value: 1

    The collection page number

    itemsPerPage integer

    Possible values: <= 50

    Default value: 30

    The number of items per page

    pagination boolean

    Enable or disable pagination

Responses

OK - The request was processed successfully.

Schema
  • Array [
  • id integer
    name string
    accountingAccountNumber stringnull
    externalId stringnull
    allowedTransactionTypes string

    Possible values: [card_transaction, fee_transaction, fx_transaction, payin_transaction, payout_transaction, wallet_transaction]

    allowedCardGroups string
  • ]
Loading...